diff --git a/ruby-unicorn.cygport b/ruby-unicorn.cygport
index aee2356..180e4d7 100644
--- a/ruby-unicorn.cygport
+++ b/ruby-unicorn.cygport
@@ -1,7 +1,7 @@
 inherit rubygem
 
 NAME="ruby-unicorn"
-VERSION=5.4.1
+VERSION=6.1.0
 RELEASE=1
 CATEGORY="Ruby"
 SUMMARY="Ruby Rack low-latency HTTP server"
@@ -11,7 +11,10 @@ advantage of features in Unix/Unix-like kernels. Slow clients should only be
 served by placing a reverse proxy capable of fully buffering both the the
 request and response in between Unicorn and slow clients."
 
+LICENSE="GPL-2.0-or-later OR Ruby"
+
 PKG_NAMES="${NAME} ${NAME}-doc"
+ruby_unicorn_REQUIRES="ruby-kgio ruby-raindrops"
 ruby_unicorn_CONTENTS="--exclude=examples usr/bin/ ${RUBYGEM_EXTDIR#/} ${RUBYGEM_INSTDIR#/} ${RUBYGEM_SPEC#/} usr/share/man/man1/"
 ruby_unicorn_doc_CONTENTS="${RUBYGEM_DOCDIR#/} ${RUBYGEM_INSTDIR#/}/examples/"
 
